Skip to main content
GET
/
commerce
/
callofforders
/
{callOffOrderId}
/
changemessages
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "body": "<string>",
      "callOffOrderId": "<string>",
      "createBy": "<string>",
      "createDate": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "identifier": "<string>",
      "newValue": "<string>",
      "oldValue": "<string>",
      "siteId": 123,
      "subject": "<string>",
      "tenantId": 123
    }
  ],
  "pageSize": 123,
  "startIndex": 123,
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

callOffOrderId
string
required

Query Parameters

startIndex
integer<int32>
default:0
pageSize
integer<int32>
default:20
responseFields
string

limits which fields are returned in the response body

Response

OK

Paged result for Call-Off Order change-message queries.

items
object[] | null

Page of change messages matching the query.

pageSize
integer<int32>

Maximum number of records per page.

startIndex
integer<int32>

Zero-based index of the first record in this page.

totalCount
integer<int32>

Total number of matching messages across all pages.